#include <stdio.h>
#include "element.h"
#include "list.h"

extern char* malloc();

struct element 
{
    Element* next;
    int      info;
};

Element* elementcreate(i)
    int i;
{
    Element* elem = (Element*)malloc(sizeof(Element));
    if (elem == NULL)
    {
        fprintf(stderr,"elementcreate: malloc failed, out of memory???\n");
        return NULL;
    }

    elem->next = NULL;
    elem->info = i;
    return elem;
}

int elementinfo(e)
    Element* e;
{
    if (e == NULL) return NULL;
    return e->info;
}

Element* elementnext(e)
    Element* e;
{
    if (e == NULL) return NULL;
    return e->next;
}

void elementsetnext(e,n)
    Element *e,*n;
{
    if (e == NULL) return;
    e->next = n;
}
